package org.sky.scientific.pojo.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;


@Data
@Schema(description = "研发费用辅助账汇总表")
public class FinanceCostSummary {

	@Schema(hidden = true)
	@JsonIgnore
	private String xh;

	@Schema(description = "项目id")
	private Long xmId;

	@Schema(description = "项目编号")
	private String xmbh;

	@Schema(description = "项目名称")
	private String xmmc;

	@Schema(description = "1、人员人工")
	private BigDecimal ryrgTotal=BigDecimal.valueOf(0.00);

	@Schema(description = "2、直接投入")
	private BigDecimal zjtrTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "3、折旧费用与长期摊销费用")
	private BigDecimal zjfyycqdtfyTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "4、设计费")
	private BigDecimal sjfTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "5、无形资产摊销")
	private BigDecimal wxzctxTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "6、装备调试费用与试验费用")
	private BigDecimal zbtsfyysyfyTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "7、其他费用")
	private BigDecimal qtfyTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "8、委外研发")
	private BigDecimal wwyfTotal = BigDecimal.valueOf(0.00);

	@Schema(description = "1-8项合计")
	private BigDecimal total = BigDecimal.valueOf(0.00);
}
